import { StraightLine } from '@wisemapping/web2d';
import SizeType from '../SizeType';
import DefaultTopicShape from './DefaultShape';
declare class LineTopicShape extends DefaultTopicShape<StraightLine> {
    private _size;
    constructor(borderColor: string);
    setSize(width: number, height: number): void;
    getSize(): SizeType | null;
    setPosition(): void;
    setFill(): void;
}
export default LineTopicShape;
